[ < ] | [ > ] |  | [ << ] | [ Up ] | [ >> ] |  |  |  |  | [Top] | [Contents] | [Index] | [ ? ]

#### 4.18.5.13 Notebook Page

An notebook pages type is "Notebook Page".

#### Signals

Notebook pages do not send signals.

#### Attributes

Notebook pages publish the following attributes.

`Caption`

  Guess what, it's the notebook pages caption.

`Icon`

  An optional Icon to show somehow aligned to the caption. How the alignment is done is defined by attribute ``IconAlign'`.

`IconAlign`

  Defines how the optional icon is aligned with the caption. Possible values are:

#### Skin Attributes

Notebooks support the following skin attributes.

`Texture`

  Texture used to draw the components background.

`OverlayTextureAlpha`

  The default alpha value used when drawing the background texture.

#### Properties

Notebook pages publish the following properties.

`Caption`

  The notebook pages caption.

`Icon`

  The icon to show along with the caption in the pages header. This property is read-only.

`IconAlign`

  The alignment of the icon. This property is read-only.

[ < ] | [ > ] |  | [ << ] | [ Up ] | [ >> ]

This document was generated using texi2html 1.76.